Endpoints
GET /api/organizations/{tenant_id}/endpoints/
Get Endpoints
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id |
Query параметры:
| Параметр | Тип | По умолчанию | Описание |
|---|---|---|---|
| skip | Skip | 0 | |
| limit | Limit | 100 |
Response 200: Successful Response
array[EndpointResponse]
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| id | Id | нет | |
| name | Name | нет | |
| tenant_id | Tenant Id | нет | |
| context | Context | нет | |
| transport | Transport | нет | |
| disallow | Disallow | нет | |
| allow | Allow | нет | |
| direct_media | Direct Media | нет | |
| rtp_symmetric | Rtp Symmetric | нет | |
| force_rport | Force Rport | нет | |
| rewrite_contact | Rewrite Contact | нет | |
| language | Language | нет | |
| outgoing_cli | Outgoing Cli | нет | |
| allow_long_distance | Allow Long Distance | нет | |
| cf_unconditional_enabled | Cf Unconditional Enabled | нет | |
| cf_unconditional_dest | Cf Unconditional Dest | нет | |
| cf_unavailable_enabled | Cf Unavailable Enabled | нет | |
| cf_unavailable_dest | Cf Unavailable Dest | нет | |
| cf_noanswer_enabled | Cf Noanswer Enabled | нет | |
| cf_noanswer_dest | Cf Noanswer Dest | нет | |
| cf_noanswer_timeout | Cf Noanswer Timeout | нет | |
| cf_busy_enabled | Cf Busy Enabled | нет | |
| cf_busy_dest | Cf Busy Dest | нет | |
| aors | Aors | нет | |
| auth | Auth | нет | |
| type | Type | нет | |
| mailboxes | Mailboxes | нет |
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |
POST /api/organizations/{tenant_id}/endpoints/
Create Endpoint
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id |
Request Body:
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| name | Name | да | Название терминала |
| transport | Transport | нет | Транспорт |
| disallow | Disallow | нет | Запретить кодеки |
| allow | Allow | нет | Разрешить кодеки |
| direct_media | Direct Media | нет | Прямая передача медиа |
| rtp_symmetric | Rtp Symmetric | нет | Симметричный RTP |
| force_rport | Force Rport | нет | Force rport |
| rewrite_contact | Rewrite Contact | нет | Перезапись контакта |
| language | Language | нет | Язык |
| outgoing_cli | Outgoing Cli | нет | CLI для исходящих звонков |
| allow_long_distance | Allow Long Distance | нет | Разрешить межгород/мобильную связь |
| cf_unconditional_enabled | Cf Unconditional Enabled | нет | Безусловная переадресация |
| cf_unconditional_dest | Cf Unconditional Dest | нет | Номер назначения безусловной переадресации |
| cf_unavailable_enabled | Cf Unavailable Enabled | нет | Переадресация при недоступности |
| cf_unavailable_dest | Cf Unavailable Dest | нет | Номер назначения при недоступности |
| cf_noanswer_enabled | Cf Noanswer Enabled | нет | Переадресация при неответе |
| cf_noanswer_dest | Cf Noanswer Dest | нет | Номер назначения при неответе |
| cf_noanswer_timeout | Cf Noanswer Timeout | нет | Таймаут неответа (5-120 сек) |
| cf_busy_enabled | Cf Busy Enabled | нет | Переадресация при занятости |
| cf_busy_dest | Cf Busy Dest | нет | Номер назначения при занятости |
| extension | Extension | да | Внутренний номер (3 цифры, 000-999) |
| password | Password | да | Пароль для SIP авторизации (ровно 20 символов: A-Z, a-z, 0-9) |
Response 201: Successful Response
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| id | Id | нет | |
| name | Name | нет | |
| tenant_id | Tenant Id | нет | |
| context | Context | нет | |
| transport | Transport | нет | |
| disallow | Disallow | нет | |
| allow | Allow | нет | |
| direct_media | Direct Media | нет | |
| rtp_symmetric | Rtp Symmetric | нет | |
| force_rport | Force Rport | нет | |
| rewrite_contact | Rewrite Contact | нет | |
| language | Language | нет | |
| outgoing_cli | Outgoing Cli | нет | |
| allow_long_distance | Allow Long Distance | нет | |
| cf_unconditional_enabled | Cf Unconditional Enabled | нет | |
| cf_unconditional_dest | Cf Unconditional Dest | нет | |
| cf_unavailable_enabled | Cf Unavailable Enabled | нет | |
| cf_unavailable_dest | Cf Unavailable Dest | нет | |
| cf_noanswer_enabled | Cf Noanswer Enabled | нет | |
| cf_noanswer_dest | Cf Noanswer Dest | нет | |
| cf_noanswer_timeout | Cf Noanswer Timeout | нет | |
| cf_busy_enabled | Cf Busy Enabled | нет | |
| cf_busy_dest | Cf Busy Dest | нет | |
| aors | Aors | нет | |
| auth | Auth | нет | |
| type | Type | нет | |
| mailboxes | Mailboxes | нет |
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |
GET /api/organizations/{tenant_id}/endpoints/status
Get Endpoints Status
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id |
Response 200: Successful Response
Response Get Endpoints Status Api Organizations Tenant Id Endpoints Status Get
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |
GET /api/organizations/{tenant_id}/endpoints/{endpoint_id}
Get Endpoint
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id | |
| endpoint_id | Endpoint Id |
Response 200: Successful Response
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| id | Id | нет | |
| name | Name | нет | |
| tenant_id | Tenant Id | нет | |
| context | Context | нет | |
| transport | Transport | нет | |
| disallow | Disallow | нет | |
| allow | Allow | нет | |
| direct_media | Direct Media | нет | |
| rtp_symmetric | Rtp Symmetric | нет | |
| force_rport | Force Rport | нет | |
| rewrite_contact | Rewrite Contact | нет | |
| language | Language | нет | |
| outgoing_cli | Outgoing Cli | нет | |
| allow_long_distance | Allow Long Distance | нет | |
| cf_unconditional_enabled | Cf Unconditional Enabled | нет | |
| cf_unconditional_dest | Cf Unconditional Dest | нет | |
| cf_unavailable_enabled | Cf Unavailable Enabled | нет | |
| cf_unavailable_dest | Cf Unavailable Dest | нет | |
| cf_noanswer_enabled | Cf Noanswer Enabled | нет | |
| cf_noanswer_dest | Cf Noanswer Dest | нет | |
| cf_noanswer_timeout | Cf Noanswer Timeout | нет | |
| cf_busy_enabled | Cf Busy Enabled | нет | |
| cf_busy_dest | Cf Busy Dest | нет | |
| aors | Aors | нет | |
| auth | Auth | нет | |
| type | Type | нет | |
| mailboxes | Mailboxes | нет |
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |
PUT /api/organizations/{tenant_id}/endpoints/{endpoint_id}
Update Endpoint
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id | |
| endpoint_id | Endpoint Id |
Request Body:
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| name | Name | нет | |
| transport | Transport | нет | |
| disallow | Disallow | нет | |
| allow | Allow | нет | |
| direct_media | Direct Media | нет | |
| rtp_symmetric | Rtp Symmetric | нет | |
| force_rport | Force Rport | нет | |
| rewrite_contact | Rewrite Contact | нет | |
| language | Language | нет | |
| outgoing_cli | Outgoing Cli | нет | CLI для исходящих звонков |
| allow_long_distance | Allow Long Distance | нет | Разрешить межгород/мобильную связь |
| cf_unconditional_enabled | Cf Unconditional Enabled | нет | |
| cf_unconditional_dest | Cf Unconditional Dest | нет | |
| cf_unavailable_enabled | Cf Unavailable Enabled | нет | |
| cf_unavailable_dest | Cf Unavailable Dest | нет | |
| cf_noanswer_enabled | Cf Noanswer Enabled | нет | |
| cf_noanswer_dest | Cf Noanswer Dest | нет | |
| cf_noanswer_timeout | Cf Noanswer Timeout | нет | |
| cf_busy_enabled | Cf Busy Enabled | нет | |
| cf_busy_dest | Cf Busy Dest | нет |
Response 200: Successful Response
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| id | Id | нет | |
| name | Name | нет | |
| tenant_id | Tenant Id | нет | |
| context | Context | нет | |
| transport | Transport | нет | |
| disallow | Disallow | нет | |
| allow | Allow | нет | |
| direct_media | Direct Media | нет | |
| rtp_symmetric | Rtp Symmetric | нет | |
| force_rport | Force Rport | нет | |
| rewrite_contact | Rewrite Contact | нет | |
| language | Language | нет | |
| outgoing_cli | Outgoing Cli | нет | |
| allow_long_distance | Allow Long Distance | нет | |
| cf_unconditional_enabled | Cf Unconditional Enabled | нет | |
| cf_unconditional_dest | Cf Unconditional Dest | нет | |
| cf_unavailable_enabled | Cf Unavailable Enabled | нет | |
| cf_unavailable_dest | Cf Unavailable Dest | нет | |
| cf_noanswer_enabled | Cf Noanswer Enabled | нет | |
| cf_noanswer_dest | Cf Noanswer Dest | нет | |
| cf_noanswer_timeout | Cf Noanswer Timeout | нет | |
| cf_busy_enabled | Cf Busy Enabled | нет | |
| cf_busy_dest | Cf Busy Dest | нет | |
| aors | Aors | нет | |
| auth | Auth | нет | |
| type | Type | нет | |
| mailboxes | Mailboxes | нет |
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |
DELETE /api/organizations/{tenant_id}/endpoints/{endpoint_id}
Delete Endpoint
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id | |
| endpoint_id | Endpoint Id |
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |
PUT /api/organizations/{tenant_id}/endpoints/{endpoint_id}/password
Update Endpoint Password
Авторизация: Bearer Token
Path параметры:
| Параметр | Тип | Описание |
|---|---|---|
| tenant_id | Tenant Id | |
| endpoint_id | Endpoint Id |
Request Body:
| Поле | Тип | Обязательное | Описание |
|---|---|---|---|
| password | Password | да | Новый пароль (ровно 20 символов: A-Z, a-z, 0-9) |
Response 200: Successful Response
Response Update Endpoint Password Api Organizations Tenant Id Endpoints Endpoint Id Password Put
Ошибки:
| Код | Описание |
|---|---|
| 422 | Validation Error |